| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
concurrency::ConditionNode Class Referencefinal

`#include <src/PRGraph/PrecedenceRulesGraph.h>`

Inheritance diagram for concurrency::ConditionNode:
[legend]
Collaboration diagram for concurrency::ConditionNode:
[legend]

## Public Member Functions
| ConditionNode (PrecedenceRulesGraph &graph, const DataObjID &path, SmartIF< ICondSvc > condSvc)
| Constructor. More...
bool | accept (IGraphVisitor &visitor) override
| Need to hide the (identical) base method with this one so that visitEnter(ConditionNode&) and visit(ConditionNode&) are called. More...
Public Member Functions inherited from concurrency::DataNode
| DataNode (PrecedenceRulesGraph &graph, const DataObjID &path)
| Constructor. More...
virtual | ~DataNode ()=default
| Destructor. More...
const DataObjID & | getPath ()
void | addProducerNode (AlgorithmNode *node)
| Add relationship to producer AlgorithmNode. More...
void | addConsumerNode (AlgorithmNode *node)
| Add relationship to consumer AlgorithmNode. More...
const std::vector< AlgorithmNode * > & | getProducers () const
| Get all data object producers. More...
const std::vector< AlgorithmNode * > & | getConsumers () const
| Get all data object consumers. More...

## Public Attributes
SmartIF< ICondSvc > | m_condSvc
Public Attributes inherited from concurrency::DataNode
PrecedenceRulesGraph * | m_graph

## Detailed Description

Definition at line 593 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

## ◆ ConditionNode()

concurrency::ConditionNode::ConditionNode | ( | PrecedenceRulesGraph & | graph,
|  | const DataObjID & | path,
|  | SmartIF< ICondSvc > | condSvc
| ) |  |
| inline

Constructor.

Definition at line 596 of file PrecedenceRulesGraph.h.

597 : DataNode( graph, path ), m_condSvc( condSvc ) {}
GaudiPython.HistoUtils.path
path
Definition: HistoUtils.py:932
concurrency::DataNode::DataNode
DataNode(PrecedenceRulesGraph &graph, const DataObjID &path)
Constructor.
Definition: PrecedenceRulesGraph.h:558
plotSpeedupsPyRoot.graph
graph
Definition: plotSpeedupsPyRoot.py:140
concurrency::ConditionNode::m_condSvc
SmartIF< ICondSvc > m_condSvc
Definition: PrecedenceRulesGraph.h:608

## Member Function Documentation

## ◆ accept()

bool concurrency::ConditionNode::accept | ( | IGraphVisitor & | visitor | ) |
| inline override virtual

Need to hide the (identical) base method with this one so that visitEnter(ConditionNode&) and visit(ConditionNode&) are called.

using DataNode::accept; ?

Reimplemented from concurrency::DataNode.

Definition at line 602 of file PrecedenceRulesGraph.h.

602 {
603 return visitor.visitEnter( *this ) ? visitor.visit( *this ) : true;
604 }

## Member Data Documentation

## ◆ m_condSvc

SmartIF<ICondSvc> concurrency::ConditionNode::m_condSvc

Definition at line 608 of file PrecedenceRulesGraph.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/PRGraph/PrecedenceRulesGraph.h